IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Interfaçage autre langage Python Discussion :

extension API C de python


Sujet :

Interfaçage autre langage Python

  1. #1
    Membre du Club
    Inscrit en
    juillet 2004
    Messages
    74
    Détails du profil
    Informations forums :
    Inscription : juillet 2004
    Messages : 74
    Points : 66
    Points
    66
    Par défaut extension API C de python
    Je suis sous windows, avec python2.3 (enthought)

    Je veux creer des extension c avec l'API C de python.
    Avec la commande : python setup.py bdist_wininst
    j'obtiens le message d'erreur suivant :
    "error: command 'cl.exe' failed: No such file or directory"

    J'ai beau chercher je ne trouve pas pourquoi.
    Mon fichier "setup.py" est correct (sous linux ca marche parfaitement)
    J'ai installé Microsoft Visual studio 8 (Visual c++ express 2005), executer "vcvars32.bat" (pour indiquer ou se trouve cl.exe, j'ai vu ca quelque part lol).
    Mais toujours rien

    Si vous pouvez m'aidez, je serai heureux tout plein, ca fait quelques heures que je coince la dessus !

  2. #2
    Membre du Club
    Inscrit en
    juillet 2004
    Messages
    74
    Détails du profil
    Informations forums :
    Inscription : juillet 2004
    Messages : 74
    Points : 66
    Points
    66
    Par défaut
    Sinon avant cette erreur, j'avais celle la :

    "error: Python was built with Visual Studio version 6, and extensions need to be built with the same version of the compiler, but it isn't installed."

    Pour eviter cette erreur, j'ai modifier le fichier msvccompiler.py :

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    if len (self.__paths) == 0:
                    raise DistutilsPlatformError, \
                          ("Python was built with %s, "
                           "and extensions need to be built with the same "
                           "version of the compiler, but it isn't installed." % self.__product)
    par
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    if False: #len (self.__paths) == 0:
                    raise DistutilsPlatformError, \
                          ("Python was built with %s, "
                           "and extensions need to be built with the same "
                           "version of the compiler, but it isn't installed." % self.__product)
    En faisant ca, j'obtiens maintenant l'erreur du premier posts.

    Je met ca, si ca dit a quelqu'un... Comment faire pour resoudre mon probleme ?

    Merci d'avance

  3. #3
    Membre du Club
    Inscrit en
    juillet 2004
    Messages
    74
    Détails du profil
    Informations forums :
    Inscription : juillet 2004
    Messages : 74
    Points : 66
    Points
    66
    Par défaut
    Bon je crois avoir resolu mon porbleme en utilisant le compilateur MinGW.

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. [API C de Python] Erreur de segmentation
    Par ProgVal dans le forum C
    Réponses: 1
    Dernier message: 03/07/2010, 15h24
  2. API d'interpréteur python en C
    Par sopsag dans le forum Général Python
    Réponses: 1
    Dernier message: 13/05/2010, 18h40
  3. [2.6.1*][C] Wireless extension API
    Par sbenoit dans le forum Administration système
    Réponses: 1
    Dernier message: 02/05/2007, 16h52

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo